package com.rjconsultores.ventaboletos.web.gui.controladores.impressaofiscal;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.FiscalAliquotaEmpresa;

public class AliquotaECFListItemRenderer implements ListitemRenderer {
	
	@Override
	public void render(Listitem listItem, Object obj) throws Exception {
		FiscalAliquotaEmpresa fae = (FiscalAliquotaEmpresa)obj;

		Listcell idCell =  new Listcell(fae.getFiscalAliquotaEmpresaId().toString());
		idCell.setParent(listItem);
		
		Listcell empresaCell =  new Listcell(fae.getEmpresa().toString());
		empresaCell.setParent(listItem);
		
		Listcell tipoFormapagoCell =  new Listcell(fae.getTotalizador().toString());
		tipoFormapagoCell.setParent(listItem);
				
		Listcell descricaoCell =  new Listcell(fae.getIcms().toString());
		descricaoCell.setParent(listItem);
					
		listItem.setAttribute("data", fae);		
	}

}
